# Generated by Django 2.0.5 on 2019-12-10 06:21

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('core', '0059_auto_20191121_1053'),
    ]

    operations = [
        migrations.CreateModel(
            name='ReportDownloadStats',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('downloaded_on', models.DateTimeField(auto_now_add=True)),
                ('report_type', models.CharField(max_length=300)),
                ('report_sub_type', models.CharField(max_length=300)),
                ('all_customer_report', models.BooleanField(default=False)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='downloaded_reports', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
